<?php

namespace Lc\CaracoleBundle\Factory\File;

use App\Entity\File\Document;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\File\DocumentInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class DocumentFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    public function create(): DocumentInterface
    {
        $document = new Document();

        $document->setMerchant($this->merchant);

        return $document;
    }

}
