<?php

namespace Lc\CaracoleBundle\Factory\Reduction;

use App\Entity\Reduction\ReductionCredit;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Reduction\ReductionCreditInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ReductionCreditFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant): ReductionCreditInterface
    {
        $reductionCredit = new ReductionCredit();

        $reductionCredit->setMerchant($merchant);

        return $reductionCredit;
    }

}
