<?php

namespace Lc\CaracoleBundle\Factory\User;

use App\Entity\User\UserMerchant;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\User\UserMerchantInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class UserMerchantFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant): UserMerchantInterface
    {
        $userMerchant = new UserMerchant();

        $userMerchant->setMerchant($merchant);

        return $userMerchant;
    }
}
