<?php

namespace Lc\CaracoleBundle\Factory\Order;

use App\Entity\Order\OrderShop;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Factory\SectionFactoryTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Order\OrderShopInterface;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class OrderShopFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant, SectionInterface $section): OrderShopInterface
    {
        $orderShop = new OrderShop();

        $orderShop->setMerchant($merchant);
        $orderShop->setSection($section);

        return $orderShop;
    }

}
